Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.format
Class DistanceDimension

    java.lang.Object
      info.bioinfweb.treegraph.document.format.DistanceDimension

All Implemented Interfaces:
  java.lang.Cloneable

    public class DistanceDimension

extends java.lang.Object
implements java.lang.Cloneable

Field Summary
`private DistanceValue` | `height`
`private DistanceValue` | `width`

Constructor Summary
`DistanceDimension()`
`DistanceDimension(DistanceValue width, DistanceValue height)`

Method Summary
`void` | `assign(DistanceDimension other)`
`DistanceDimension` | `clone()`
`boolean` | `equals(java.lang.Object obj)`
`DistanceValue` | `getHeight()`
`DistanceValue` | `getWidth()`
`int` | `hashCode()`
`void` | `setHeight(DistanceValue height)`
`void` | `setWidth(DistanceValue width)`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### width

    private DistanceValue width

### height

    private DistanceValue height

Constructor Detail

### DistanceDimension

    public DistanceDimension()

### DistanceDimension

    public DistanceDimension(DistanceValue width,
                             DistanceValue height)

Method Detail

### getHeight

    public DistanceValue getHeight()

### setHeight

    public void setHeight(DistanceValue height)

### getWidth

    public DistanceValue getWidth()

### setWidth

    public void setWidth(DistanceValue width)

### assign

    public void assign(DistanceDimension other)

### clone

    public DistanceDimension clone()

  Overrides:
    `clone` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD